Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Shader::ShaderPtrData Struct Reference

## Public Member Functions
| ShaderPtrData (const LMatrix3d &mat)
| ShaderPtrData (const LMatrix3f &mat)
| ShaderPtrData (const LMatrix4d &mat)
| ShaderPtrData (const LMatrix4f &mat)
| ShaderPtrData (const LVecBase2d &vec)
| ShaderPtrData (const LVecBase2f &vec)
| ShaderPtrData (const LVecBase2i &vec)
| ShaderPtrData (const LVecBase3d &vec)
| ShaderPtrData (const LVecBase3f &vec)
| ShaderPtrData (const LVecBase3i &vec)
| ShaderPtrData (const LVecBase4d &vec)
| ShaderPtrData (const LVecBase4f &vec)
| ShaderPtrData (const LVecBase4i &vec)
| ShaderPtrData (const PTA_double &ptr)
| ShaderPtrData (const PTA_float &ptr)
| ShaderPtrData (const PTA_int &ptr)
| ShaderPtrData (const PTA_LMatrix3d &mat)
| ShaderPtrData (const PTA_LMatrix3f &mat)
| ShaderPtrData (const PTA_LMatrix4d &mat)
| ShaderPtrData (const PTA_LMatrix4f &mat)
| ShaderPtrData (const PTA_LVecBase2d &ptr)
| ShaderPtrData (const PTA_LVecBase2f &ptr)
| ShaderPtrData (const PTA_LVecBase2i &ptr)
| ShaderPtrData (const PTA_LVecBase3d &ptr)
| ShaderPtrData (const PTA_LVecBase3f &ptr)
| ShaderPtrData (const PTA_LVecBase3i &ptr)
| ShaderPtrData (const PTA_LVecBase4d &ptr)
| ShaderPtrData (const PTA_LVecBase4f &ptr)
| ShaderPtrData (const PTA_LVecBase4i &ptr)
void | read_datagram (DatagramIterator &source)
| Reads the object from a Datagram.
void | write_datagram (Datagram &dg) const
| Writes the contents of this object to the datagram for shipping out to a Bam file.

## Public Attributes
void * | _ptr
size_t | _size
ShaderPtrType | _type
bool | _updated

## Detailed Description

Definition at line 373 of file shader.h.

## Constructor & Destructor Documentation

## ◆ ShaderPtrData() [1/30]

Shader::ShaderPtrData::ShaderPtrData | ( |  | ) |
| inline

Definition at line 206 of file shader.I.

## ◆ ShaderPtrData() [2/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_float & | ptr | ) |
| inline

Definition at line 218 of file shader.I.

## ◆ ShaderPtrData() [3/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase4f & | ptr | ) |
| inline

Definition at line 257 of file shader.I.

## ◆ ShaderPtrData() [4/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase3f & | ptr | ) |
| inline

Definition at line 270 of file shader.I.

## ◆ ShaderPtrData() [5/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase2f & | ptr | ) |
| inline

Definition at line 283 of file shader.I.

## ◆ ShaderPtrData() [6/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LMatrix4f & | mat | ) |
| inline

Definition at line 231 of file shader.I.

## ◆ ShaderPtrData() [7/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LMatrix3f & | mat | ) |
| inline

Definition at line 244 of file shader.I.

## ◆ ShaderPtrData() [8/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase4f & | vec | ) |
| inline

Definition at line 296 of file shader.I.

## ◆ ShaderPtrData() [9/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase3f & | vec | ) |
| inline

Definition at line 312 of file shader.I.

## ◆ ShaderPtrData() [10/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase2f & | vec | ) |
| inline

Definition at line 328 of file shader.I.

## ◆ ShaderPtrData() [11/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LMatrix4f & | mat | ) |
| inline

Definition at line 344 of file shader.I.

## ◆ ShaderPtrData() [12/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LMatrix3f & | mat | ) |
| inline

Definition at line 360 of file shader.I.

## ◆ ShaderPtrData() [13/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_double & | ptr | ) |
| inline

Definition at line 376 of file shader.I.

## ◆ ShaderPtrData() [14/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase4d & | ptr | ) |
| inline

Definition at line 415 of file shader.I.

## ◆ ShaderPtrData() [15/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase3d & | ptr | ) |
| inline

Definition at line 428 of file shader.I.

## ◆ ShaderPtrData() [16/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase2d & | ptr | ) |
| inline

Definition at line 441 of file shader.I.

## ◆ ShaderPtrData() [17/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LMatrix4d & | mat | ) |
| inline

Definition at line 389 of file shader.I.

## ◆ ShaderPtrData() [18/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LMatrix3d & | mat | ) |
| inline

Definition at line 402 of file shader.I.

## ◆ ShaderPtrData() [19/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase4d & | vec | ) |
| inline

Definition at line 454 of file shader.I.

## ◆ ShaderPtrData() [20/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase3d & | vec | ) |
| inline

Definition at line 470 of file shader.I.

## ◆ ShaderPtrData() [21/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase2d & | vec | ) |
| inline

Definition at line 486 of file shader.I.

## ◆ ShaderPtrData() [22/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LMatrix4d & | mat | ) |
| inline

Definition at line 502 of file shader.I.

## ◆ ShaderPtrData() [23/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LMatrix3d & | mat | ) |
| inline

Definition at line 518 of file shader.I.

## ◆ ShaderPtrData() [24/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_int & | ptr | ) |
| inline

Definition at line 534 of file shader.I.

## ◆ ShaderPtrData() [25/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase4i & | ptr | ) |
| inline

Definition at line 547 of file shader.I.

## ◆ ShaderPtrData() [26/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase3i & | ptr | ) |
| inline

Definition at line 560 of file shader.I.

## ◆ ShaderPtrData() [27/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const PTA_LVecBase2i & | ptr | ) |
| inline

Definition at line 573 of file shader.I.

## ◆ ShaderPtrData() [28/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase4i & | vec | ) |
| inline

Definition at line 586 of file shader.I.

## ◆ ShaderPtrData() [29/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase3i & | vec | ) |
| inline

Definition at line 602 of file shader.I.

## ◆ ShaderPtrData() [30/30]

Shader::ShaderPtrData::ShaderPtrData | ( | const LVecBase2i & | vec | ) |
| inline

Definition at line 618 of file shader.I.

## Member Function Documentation

## ◆ read_datagram()

void Shader::ShaderPtrData::read_datagram | ( | DatagramIterator & | source | ) |
| inline

Reads the object from a Datagram.

Definition at line 662 of file shader.I.

References DatagramIterator::get_float32(), DatagramIterator::get_float64(), DatagramIterator::get_int32(), DatagramIterator::get_uint32(), and DatagramIterator::get_uint8().

## ◆ write_datagram()

void Shader::ShaderPtrData::write_datagram | ( | Datagram & | dg | ) | const
| inline

Writes the contents of this object to the datagram for shipping out to a Bam file.

Definition at line 635 of file shader.I.

References Datagram::add_float32(), Datagram::add_float64(), Datagram::add_int32(), Datagram::add_uint32(), and Datagram::add_uint8().

## Member Data Documentation

## ◆ _ptr

void* Shader::ShaderPtrData::_ptr

Definition at line 378 of file shader.h.

## ◆ _size

size_t Shader::ShaderPtrData::_size

Definition at line 381 of file shader.h.

## ◆ _type

ShaderPtrType Shader::ShaderPtrData::_type

Definition at line 379 of file shader.h.

## ◆ _updated

bool Shader::ShaderPtrData::_updated

Definition at line 380 of file shader.h.

The documentation for this struct was generated from the following files:

- panda/src/gobj/shader.h
- panda/src/gobj/shader.I